<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="br">
	<xsl:param name="msg"/>
	<xsl:variable name="EOL" select="'
'"/>
	<xsl:variable name="wrp" select="'30'"/>
	<xsl:if test="contains($msg, $EOL)">
		<xsl:variable name="before" select="substring-before($msg, $EOL)"/>
		<xsl:variable name="after" select="substring-after($msg, $EOL)"/>
		<xsl:call-template name="br">
			<xsl:with-param name="msg" select="$before" />
		</xsl:call-template>
		<br></br>
		<xsl:call-template name="br">
			<xsl:with-param name="msg" select="$after" />
		</xsl:call-template>
	</xsl:if>
	<xsl:if test="contains($msg, $EOL)=false">
		<xsl:call-template name="wraptext">
			<xsl:with-param name="msg" select="$msg" />
			<xsl:with-param name="len" select="$wrp" />
		</xsl:call-template>
	</xsl:if>
</xsl:template>

<xsl:template name="wraptext">
	<xsl:param name="msg"/>
	<xsl:param name="len"/>
	<xsl:if test="string-length($msg)&gt;$len">
		<xsl:value-of select="substring($msg, 0, $len)" />
		<br></br>
		<xsl:call-template name="wraptext">
			<xsl:with-param name="msg" select="substring($msg, $len)" />
			<xsl:with-param name="len" select="$len" />
		</xsl:call-template>
	</xsl:if>
	<xsl:if test="string-length($msg)&lt;=$len">
		<xsl:value-of select="$msg" />
	</xsl:if>
</xsl:template>

</xsl:stylesheet>