using System;

namespace NeoCore.PanelControl {
	/// <summary>
	/// XMSControl creates an interface for the XMSControls
	/// </summary>
	public interface XMSControl {

		/// <summary>
		/// ToXML returns the Xml string this control represents
		/// </summary>
		/// <returns>The xml string</returns>
		string ToXML();

		/// <summary>
		/// SetData sets the data for this control
		/// </summary>
		/// <param name="data">The data to set</param>
		void SetData(string data);

		/// <summary>
		/// ToXPathPredicate creates a predicate in the form of myName="myValue" and returns that string
		/// </summary>
		/// <param name="prependValue">The which needs to be prepended to the myName to fully represent the path</param>
		/// <returns>The predicate string</returns>
		string ToXPathPredicate(string prependValue);

		/// <summary>
		/// Clear data from the control
		/// </summary>
		void Clear();
	}
}
