using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.Text;

namespace NeoCore.PanelControl {
	/// <summary>
	/// Summary description for XMSPanelTextBox.
	/// </summary>
	[DefaultProperty("Text"), 
	ToolboxData("<{0}:XMSPanelCheckBox runat=server></{0}:XMSPanelCheckBox>")]
	public class XMSPanelCheckBox : CheckBox, XMSControl {
		//private string text;
		private static string PATH_SEPARATOR = "/";
	

		public string ToXML() {
			StringBuilder sb = new StringBuilder();
			sb.Append( "<" + this.ID + ">" );
			if( this.Checked )
				sb.Append( "TRUE" );
			else
				sb.Append( "FALSE" );
			sb.Append( "</" + this.ID + ">" );
			return sb.ToString();
		}

		public void SetData(string data) {
			this.Checked = data.Equals("TRUE");
		}

		public void Clear() {
			this.Checked = false;
		}

		public string ToXPathPredicate(string prependValue) {
			StringBuilder sb = new StringBuilder();
			if (this.Checked) {
				sb.Append(prependValue);
				sb.Append("/");
				sb.Append(this.ID);
				sb.Append("=\"TRUE\"");
			}
			return sb.ToString();
		}
	}
}
